Anyone care to pick up the Autobot plugin?


(Stephen Chung) #1

Well, simple_rss is removed from core (I believe yesterday).

Plugin autobot no longer builds.

Is someone interested in picking up the plugin and modify it to work again now that it gets unsupported all of a sudden. Well, not very suddenly, as we had, what, weeks of warning. But IMHO it is still bad form to terminate an official plugin suddenly and render it not working without caring for a smooth transition.

How can we trust other official plugins now?


(Jeff Atwood) #2

autobot was never official; only plugins under https://github.com/discourse/ are official.

Note path

https://github.com/vinkashq/discourse-autobot

It should not be difficult to fix, though, if anyone from the community wants to adopt it.


(Stephen Chung) #3

I standard corrected. :bowing_man:

I know it should be easy to fix for somebody with Ruby knowledge, but I don’t know how to add the simple_rss gem back on the plugin.

Perhaps some other Ruby gurus can shed a light here?

I can pick this up, my Ruby/Rails skills is practically non-existent.


(James Kiesel) #4

Check out this post / topic; should be a simple fix I believe: